#pragma once
#include <map>
struct M_ActivityLuckyCoinCFGData
{
	//编号
	int mID;
	//网名
	std::string mName;
	//所需ID
	int mneedItem;
	//所需硬币数量
	int mneedCount;
};

class M_ActivityLuckyCoinCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyCoinCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyCoinCFGData* GetData(int ID);
	const std::map<int, M_ActivityLuckyCoinCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityLuckyCoinCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityLuckyCoinCFGData> mMapData;
};
